QGIS Application - Bug report #7451
Dates are not written in the table of attributes when using the calendar widget
2013-03-26 01:23 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16410
Description

subject says it all. Tested on master.

History

#1 - 2013-05-28 08:35 PM - Nathan Woodrow

If there is no date format supplied the date will not be written back.

Should we close this or can you think of a better fix?

#2 - 2013-05-29 12:07 AM - Giovanni Manghi

Nathan Woodrow wrote:

If there is no date format supplied the date will not be written back.

Should we close this or can you think of a better fix?

| see 4 problems:

| just tested and the date is not written (if using the calendar widget) even if the column is of type date or date/time. The columns were added via the

"fields" tab in the vector properties

the types date and date/time are not available when creating a new shapefile from scratch (this | guess is a new bug)

if dates can be written only in a date column, then at least for shapes this is a change of behaviour since 1.8 (where the user was allowed to write dates into
a text field) and should be at least very well documented

older projects that had a calendar widget applied to a text column will open as empty columns in QGIS 2.0

cheers!

#3 - 2013-05-29 12:12 AM - Nathan Woodrow

Giovanni Manghi wrote:
if dates can be written only in a date column, then at least for shapes this is a change of behaviour since 1.8 (where the user was allowed to write

dates into a text field) and should be at least very well documented

This is still the case. You can still write dates to string columns you just have to supply the format of the date string.

#4 - 2013-05-29 12:15 AM - Giovanni Manghi

You can still write dates to string columns you just have to supply the format of the date string.

but not with the calendar widget, correct?

#5 - 2013-05-29 12:17 AM - Nathan Woodrow

Giovanni Manghi wrote:

You can still write dates to string columns you just have to supply the format of the date string.

but not with the calendar widget, correct?

Yeah does for me

#6 - 2013-05-29 12:19 AM - Giovanni Manghi

Yeah does for me

odd, does not for me at the moment on Linux on both date and text fields. There was a recent fix?

#7 - 2013-06-01 10:35 AM - Giovanni Manghi

Nathan Woodrow wrote:

Giovanni Manghi wrote:

You can still write dates to string columns you just have to supply the format of the date string.

but not with the calendar widget, correct?

Yeah does for me

just tested on windows/osgeo4w/master and no date is written in a "date" column nor in a "string" one using the calendar widget.

#8 - 2013-06-16 02:20 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Open to Closed

Now | see,
the "date format" parameter is mandatory, without it then the widget does not work as does not use any default format...

are the possible formats documented in the master manual? Can we add a few examples in the widget dialog? there is plenty of space.
